Supported IBM and third-party software with TXSeries for Multiplatforms 6.1 on IBM AIX

News


Abstract

The following table lists the IBM and third-party software supported for use with TXSeries for Multiplatforms 6.1 on AIX

Content

This page provides information about the levels of IBM and third-party software that run with TXSeries 6.1. However, since every possible combination of products cannot be tested, we suggest that you also contact the third-party vendor to verify that a particular product is supported for use with TXSeries. Maintenance levels listed below are minimum levels. TXSeries is not tested with every maintenance level of every product; we generally assume vendors do not cause regressions in their patches/SPs/FPs/CSDs/PTFs. If you use later maintenance levels and experience problems, please test with the levels specified below before contacting your IBM support representative.

Products that do not appear in the following tables have not been tested with TXSeries 6.1. TXSeries is periodically tested with additional third-party products and the information in this page is updated accordingly.

TXSeries is a 32-bit product. All libraries linked with TXSeries must be 32-bit libraries. Most vendors offering 64-bit versions of their products provide 32-bit client libraries. On 64-bit UNIX operating systems, TXSeries runs in 32-bit compatibility mode where support is noted in the operating system entry in the table below.

Note
Since interaction between releases of operating systems, software products, and TXSeries is very complex, information on this page can possibly conflict with information that is provided by product vendors. If you notice such an inconsistency or if you experience unanticipated problems, consult your vendor's product support and notify your IBM support representative.


Software
OS
Version
Software Version
Notes
Operating System
IBM AIX
5.3

6.1
5.3 TL 5

6.1 TL1 SP1
Both 32 and 64 bit kernels are supported.
AIX V6.1 WPAR capability is not supported.
Compilers
IBM XL C/C++
5.3


6.1
8.0
9.0

9.0.0.2
IBM COBOL for AIX
5.3
6.1
2.0
IBM PL/I for AIX
5.3
2.0
MicroFocus Server Express COBOL
5.3
4.0 SP2

5.0
Only 32 bit version is supported.

Supported starting TXSeries V6.1 PTF 1.
6.1 SP2
5.0
Supported starting TXSeries V6.1 PTF 1.
ACUCOBOL-GT
5.3
7.2

IBM Java2 SDK
5.3
1.5
Databases All databases are tested and supported with the Client versions shown in the "Software Version" column.
IBM DB2 UDB
5.3
8.2 FP4
9.1
9.5
DB2 9.1 requires TXSeries PTF 1 or later.
Use DB2 APAR IY95051, if you need to run MicroFocus COBOL applications
DB2 APAR IZ32884 is mandatory to run non-XA transactions with DB2 9.5
6.1 SP1
9.5
DB2 APAR IZ32884 is mandatory to run non-XA transactions with DB2 9.5
Oracle
5.3
10.1.0.2
10.2.0.1
11.1.0.6
Oracle 11.1.0.6 is supported starting TXSeries 6.1.0.2 APAR IZ18170
6.1 SP2
10.2.0.1
Informix Client SDK
5.3
2.90 UC 4
Tested with Informix Dynamic Server 10
Sybase
5.3
6.1 SP1
15.0
Tested using Adaptive Server Enterprise 15.0.2.
Integration Middleware
IBM WebSphere MQ
5.3 TL6 SP4 APAR IZ10231
6.0.2.1
6.1
6.0.2.3
Communication Software
IBM Communication Server
5.3

6.1 SP2
6.3.0.1

6.3.1.0
Clients
IBM CICS Universal Client
5.3

6.1
Any supported version of IBM CICS Universal Client. Refer to http://www.ibm.com/software/htp/cics/connectors/ for more details
IBM CICS Transaction Gateway
5.3


6.1
Any supported version of IBM CICS Transaction Gateway Refer to http://www.ibm.com/software/htp/cics/connectors/ for more details

Rate this page:

(0 users)Average rating

Document information


More support for:

TXSeries
CICS

Software version:

6.1

Operating system(s):

AIX

Software edition:

All Editions

Reference #:

1249127

Modified date:

2010-03-26

Translate my page

Machine Translation

Content navigation